summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorusr <usr@devuan>2026-08-13 14:40:10 +0200
committerusr <usr@devuan>2026-08-13 14:40:10 +0200
commit2c7120acb2f398e5f77ebac30b5fe3949fe090c7 (patch)
tree10f11001c2f4e13aa970e542bc7b43660acd7109
parent16ff7e41e355bef9a4defe0f8e933e4e49be26bd (diff)
added action .pik/clean.sh
-rw-r--r--.pik/clean.sh6
-rw-r--r--GNUmakefile5
2 files changed, 10 insertions, 1 deletions
diff --git a/.pik/clean.sh b/.pik/clean.sh
new file mode 100644
index 0000000..5ef2b82
--- /dev/null
+++ b/.pik/clean.sh
@@ -0,0 +1,6 @@
+#!/bin/sh
+set -euCx
+[ ponger = "$(basename $PWD)" ] || exit 1
+if [ -f ponger ]; then
+ rm ponger
+fi
diff --git a/GNUmakefile b/GNUmakefile
index 660acc8..0654845 100644
--- a/GNUmakefile
+++ b/GNUmakefile
@@ -1,8 +1,11 @@
-.PHONY: all
+.PHONY: all clean leesmij-koptekst
all: ponger
ponger: .pik/build.sh
. .pik/build.sh
+clean: .pik/clean.sh
+ . .pik/clean.sh
+
leesmij-koptekst: /usr/bin/toilet
@ echo PONGER | toilet --gay